Dashboard - Management/Unit performance screens
06/27/2021 06:14 PM - Saja Nakhleh
Issue #1:

the applicant will be redirected to external
screen and a new login will be required
observe the full scenario on the video:
https://www.loom.com/share/b02fecdfc2fe]
41d78a6e8ecff533494b

Note: same issue is duplicated on the
Unit performance screen

Issue #2:

nothing will be opened.
https://www.loom.com/share/12a9370be6
8046df9becfab3f5c94e82

Note: same issue is duplicated on the
Unit performance screen

Issue #3:

Null error will be occurred as on the
video:
https://www.loom.com/share/397e154990
de487391c5fc0157ef2556

Note: same issue is duplicated on the
Unit performance screen

Issue #4:

an error will be occurred as in the
evidence 1.gif

Note: same issue is duplicated on the
Unit performance screen

Issue #5:

the fields labels are English, | recommend
to remove this dialog box as a global
search is exist.

Observe evidence 2.gif

Note: same issue is duplicated on the
Unit performance screen

Issue #6:

1. the accepted date values will not be
validated

2. the label is English. evidence 3.gif

3. i recommend to remove the time fields.
Note: same issue is duplicated on the
Unit performance screen

Issue #7:

reset action will retrieve the last search
criteria that done successfully !

observe the video:
https://www.loom.com/share/ed2c8347ba
9e4bd2b37e94bacededb87
Severity: Normal

Category: DashBoard

Sub-Category:

Step_Description:

Pre_Conditions:

Expected Result: Issue #1:
the dashboard should be opened
normally
Issue #2:

the clicked point should redirect the user

to a detailed screen or chart

Issue #3:

the values should be rearranged based

on the selected value

Issue #4:
the chart should be refreshed

Issue #5:
the fields labels should be Arabic

Issue #6:

1. the end date should not be before the

start date

2. the label of the dialog box should be

arabic

Issue #7:

the reset should apply the default filter

(the current month)

Environment:
Transaction Number:
Browser:

URL:

Test Case ID:

Note:
on Unit performance screen, Reset acti

will reset the value of selected units to |:

gopooooo ,000000 00000, blank'!
evidence 4.gif

QA

Chrome

b

Description

Issue #1:
1. Open the Dashboard - Management performance screen
2. Observe the opened screen

Issue #2:
1. Open the Dashboard - Management performance screen
2. Click inside any chart

Issue #3:

1. Open the Dashboard - Management performance screen
2. from any chart click the Dimensions arrow

3. select any value then click the down arrow

4. click OK

Issue #4:
1. Open the Dashboard - Management performance screen
2. from any chart click refresh

Issue #5:

1. Open the Dashboard - Management performance screen
2. from any chart click the Run time filter arrow

3. Observe the filter fields and their labels

06/06/2025
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5

Issue #6:

1. Open the Dashboard - Management performance screen
2. click the right arrow (search boxes)

3. From field (start date), Select 30 Aug 2022

4. From field (start date), Select 30 Aug 2020

5. click OK

Issue #7:
1. apply all the cases in previous issues 1 to 6
2. from the right arrow (search boxes), click reset

History

#1 - 06/28/2021 11:36 AM - Saja Nakhleh
- File 4.GIF added
- Subject changed from Dashboard - Management performance screen to Dashboard - Management/Unit performance screens

- Actual Result updated

#2 - 06/29/2021 01:47 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

Issue #1:
Resolved

Issue #2:

In reference to oracle document, it should work for drilling down.

“To drill down, Click the point, bar, slice, or node in which to drill down or right-click the point, bar, slice, node, or row and select the drill level from the
menu.”

But click the point is not working and right click is working fine.

Issue #3:
Untraceable Issue, nothing appears in Bam server logs regarding this exception.

Issue #4:
Resolved

Issue #5:
Not applicable,
Runtime filter is a feature from Oracle BAM (not customizable).

Issue #6:

Not applicable,

Applying validations on search parameters in Oracle BAM is not applicable.
The Ul components in Oracle BAM doesn’t a support Arabic language.

Issue #7:
Not applicable,
The reset action is not customizable.

Issue #8 (Note):

This value has been changed to BLANK only.

The reset action returning parameters to their default values, but default value options are (ALL, Null, Blank, or specific values) and it’s not applicable
to get user unit by expression.

Note:

Dashboard parameters are being sent by the URL parameters, but the reset action is returning parameters to their default values.
http://mscjo.dynalias.com:8089/redmine/issues/6
http://mscjo.dynalias.com:8089/redmine/issues/7
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6
http://mscjo.dynalias.com:8089/redmine/issues/7
http://mscjo.dynalias.com:8089/redmine/issues/8

#3 - 06/29/2021 02:53 PM - Saeed Ismail

Saeed Ismail wrote:

Issue #1:
the session timeout issue has been Resolved.
but the dashboard login requires the infra-team to config Oracle SSO in the environment.

Issue #2:

In reference to oracle document, it should work for drilling down.

“To drill down, Click the point, bar, slice, or node in which to drill down or right-click the point, bar, slice, node, or row and select the drill level
from the menu.”

But click the point is not working and right click is working fine.

Issue #3:
Untraceable Issue, nothing appears in Bam server logs regarding this exception.

Issue #4:
Resolved

Issue #5:
Not applicable,
Runtime filter is a feature from Oracle BAM (not customizable).

Issue #6:

Not applicable,

Applying validations on search parameters in Oracle BAM is not applicable.
The Ul components in Oracle BAM doesn’t a support Arabic language.

Issue #7:
Not applicable,
The reset action is not customizable.

Issue #8 (Note):

This value has been changed to BLANK only.

The reset action returning parameters to their default values, but default value options are (ALL, Null, Blank, or specific values) and it's not
applicable to get user unit by expression.

Note:

Dashboard parameters are being sent by the URL parameters, but the reset action is returning parameters to their default values.
#4 - 07/01/2021 03:43 AM - Saja Nakhleh
- Status changed from Open to Feedback

Issue #1:
waiting for infra-team to config Oracle SSO in the environment

Issue #2:
tested and verified for the case of right click

Issue #3, #5, #6:
will be postponed to the next phase as confirmed with the PM

Issue #4:
tested and verified.

Issue #7:
tested and verified.

Issue #8:
tested as the default value for the unit dashboard will be (I0000)

#5 - 07/01/2021 03:46 AM - Saja Nakhleh

login to Management performance dash board is denied for usr00029

#6 - 07/26/2021 11:46 AM - Saeed Ismail

Issue #3:
Fixed

Issue #5:

As Oracle Support reply to us regarding BAM labels, BAM doesn't support the Arabic language.

Issue #6:

1. Not Applicable.

2. BAM doesn't support the Arabic language.
3. Not Applicable.

#7 - 07/28/2021 03:23 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Saeed Ismail

Issue #1:
still duplicated.

Issue #3:

06/06/2025
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/7
http://mscjo.dynalias.com:8089/redmine/issues/8
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/3

tested and verified.

Issue #5 and #6:
verified as technical limitation

#8 - 09/28/2021 01:33 PM - Saja Nakhleh
- Status changed from Feedback to Closed

- Assignee changed from Saeed Ismail to Saja Nakhleh

Issue #1:
tested & verified.

Files

1.GIF 421 KB 06/27/2021 Saja Nakhleh

2.GIF 31.7 KB 06/27/2021 Saja Nakhleh

3.GIF 34.8 KB 06/27/2021 Saja Nakhleh

4.GIF 15.5 KB 06/28/2021 Saja Nakhleh
